> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an order

> The endpoint updates the order. Update only available if all employers in one of statuses: pending, sent.



## OpenAPI

````yaml PATCH /v1/orders/{id}/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/orders/{id}/:
    parameters:
      - name: id
        in: path
        required: true
        description: Order ID received from the POST request
        schema:
          type: string
        example: 48427a36d43c4d5aa6324bc06c692456
    patch:
      tags:
        - Orders
      summary: Update an order
      description: >-
        The endpoint updates the order. Update only available if all employers
        in one of statuses: pending, sent.
      operationId: v1_orders_partial_update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditOrder'
        required: true
      responses:
        '204':
          description: Empty body
          content: {}
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    EditOrder:
      type: object
      properties:
        first_name:
          title: First name
          type: string
          maxLength: 50
          minLength: 1
        last_name:
          title: Last name
          type: string
          maxLength: 50
          minLength: 1
        ssn:
          title: Ssn
          type: string
          maxLength: 128
          nullable: true
        refresh_approved:
          title: Refresh approved
          description: >-
            Flag that indicates approval for notification to reconnect the
            account to be sent.
          type: boolean
        loan:
          $ref: '#/components/schemas/EditLoan'
        notes:
          title: Notes
          description: Free text field for notes associated with the order
          type: string
          maxLength: 2000
          minLength: 1
          nullable: true
        notification_settings:
          description: >-
            Configuration for order notifications. Omit fields to keep existing
            values unchanged.
          type: object
          properties:
            suppress_user_notifications:
              description: >-
                When true, suppresses all user-facing notifications for this
                order. If enabled, first_notification_delay_hours is ignored.
              type: boolean
              example: false
            first_notification_delay_hours:
              description: >-
                Number of hours to delay the first notification. Ignored when
                suppress_user_notifications is true.
              type: integer
              example: 0
              minimum: 0
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
    EditLoan:
      required:
        - loan_number
      type: object
      nullable: true
      properties:
        loan_number:
          description: Loan identifier
          type: string
          example: MUUT220700012
          maxLength: 128
        originator_name:
          description: Name of the loan originator
          type: string
          example: John Doe
          maxLength: 255
          nullable: true
        originator_email:
          description: Email of the loan originator
          type: string
          format: email
          example: john@example.com
          maxLength: 255
          nullable: true
        loan_processor_name:
          description: Name of the loan processor
          type: string
          example: John Doe
          maxLength: 255
          nullable: true
        loan_processor_email:
          description: Email of the loan processor
          type: string
          format: email
          example: john@doe.com
          maxLength: 255
          nullable: true
        external_id:
          description: External loan ID
          type: string
          nullable: true
          example: c505e0f1b4134fdc853fc87e7d2cc4a5
        funding_date:
          description: Date of the loan funding
          type: string
          format: date
          example: '2024-08-24'
          nullable: true
      description: Loan Information
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````